@extends('template.'.config('settings.template').'.content.master')
@section('head')
    <title>Home | {{config('settings.name')}}</title>
    <style>
        #map {
            height: 400px;
            width: 100%;
        }
    </style>
@stop
@section('content')
  <h1>{{config('settings.name')}}</h1>
  <p>{{config('settings.description')}}</p>
  <div id="map"></div>
  <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAKGJCCKvmWZl-L5bBF0uS5BWf0gN4ZkpI&callback=initMap&v=weekly" defer></script>
  <script>
        function initMap() {
            let items = {!! json_encode($contents) !!};
            items = items.data;
            console.log(items);

            const map = new google.maps.Map(document.getElementById("map"), {
                zoom: 5,
                center: { lat: parseFloat(items[0].location.lat), lng: parseFloat(items[0].location.lng)  }
            });

            items.forEach(function(item){
                let marker = new google.maps.Marker({
                    position: { lat: parseFloat(item.location.lat), lng: parseFloat(item.location.lng) },
                    map: map,
                    title: item.title,
                    optimized: false,
                });
                marker.addListener('click', function() {
                    window.location.href = item.path;
                });
            });
        }
        window.initMap = initMap;
    </script>
@stop